## wmnd 0.2.2

=== Makefile ===
PJ	= wmnd
VERSION	= 0.2.2
PRE	=

# source code directory
SRC	= src/
MAN	= man/
VPATH	= $(SRC):$(MAN)

# If Solaris, unmark this
#OSFLAGS = -DUSE_KSTAT

# Optimizing
#CFLAGS	= -Wall -O3 -mcpu=i586 -fomit-frame-pointer -pipe
CFLAGS	= -Wall -O3 -fomit-frame-pointer -pipe $(OSFLAGS)

# Profiling
#CFLAGS	= -Wall -ansi -pg -g -O3 -pipe -D_GNU_SOURCE -DPRO $(OSFLAGS)

# Test coverage
#CFLAGS	= -fprofile-arcs -ftest-coverage -Wall -pipe -DPRO $(OSFLAGS)

LDFLAGS	= -L/usr/X11R6/lib -lXpm -lXext -lX11

OBJS	= wmnd.o beat.o misc.o list.o

prefix	= /usr/local/
bindir	= $(prefix)/bin/
mandir	= $(prefix)/man/
datadir	= $(prefix)/share/
docdir	= $(datadir)/doc/$(PJ)/

all:	$(PJ)

$(PJ):	$(OBJS)

%.gz:	%
	gzip -c9 $^ > $@

clean:
	$(foreach dir,./ $(subst :, ,$(VPATH)),cd $(dir) && rm -f *.o wmnd *~ .*.swp trace *.bb *.bbg *.gcov *.da *.out *.gz && cd - && ) echo done.

install: $(PJ) wmnd.1.gz
	set -e
	install -d $(bindir)/ $(mandir)/man1/ $(docdir)/example/
	install -m 755 wmnd $(bindir)/
	install wmndrc $(docdir)/example/
	install wmnd.1.gz $(mandir)/man1/

package: indent clean
	rm -f ../$(PJ)_$(VERSION)*.tar.gz
	(cd .. && tar -cf - $(PJ)_$(VERSION) | gzip -c > $(PJ)_$(VERSION)$(PRE).tar.gz)

indent:
	indent -kr $(SRC)/*.c $(SRC)/*.h
#	indent -orig *.c *.h

.PHONY	= all clean install package indent

# vim:nosta

## wmnd 0.4.12-2build1

=== debian/changelog ===
wmnd (0.4.12-2build1) gutsy; urgency=low

  * No-change upload for libsnmp9 -> libsnmp10 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Jun 2007 20:53:32 +1000

wmnd (0.4.12-2) unstable; urgency=low

  * Standards-Version 3.7.1.0 -> 3.7.1.2 without changes
  * Build-Dep on libsnmp10-dev instead of libsnmp9-dev to make it installable
    again.

 -- Arthur Korn <arthur@debian.org>  Tue, 01 May 2007 19:35:44 +0200

wmnd (0.4.12-1) unstable; urgency=low

  * New upstream release
    - upstream fixed #355987
    - configure option --with-drivers renamed to --enable-drivers

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:59:58 +0200

wmnd (0.4.11-5) unstable; urgency=low

  * use ppp_defs.h from libc instead of local copy to avoid definition of
    _u32, closes: #360935
  * Standards-Version 3.6.2.0 -> 3.7.2.0 without changes

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:23:26 +0200

wmnd (0.4.11-4) unstable; urgency=low

  * configure: rebuilt with autoconf 2.59a-7 to fix detection of X11
    libraries. closes: #346887, #347752
  * control: removed no more needed build-dependency on autoconf and
    automake, rules doesn't run them anymore on every build.

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:19:08 +0200

wmnd (0.4.11-3) unstable; urgency=low

  * control: replaced build dependency on xlibs-dev by build-dependency
    on libx11-dev, libxext-dev, libxpm-dev as xlibs-split proposed.
    closes: #346887

 -- Arthur Korn <arthur@debian.org>  Mon,  9 Jan 2006 19:29:14 +0100

wmnd (0.4.11-2) unstable; urgency=low

  * now builds against libsnmp9, closes: #333943
  * Standards-Version 3.6.2 without changes

 -- Arthur Korn <arthur@debian.org>  Sat, 29 Oct 2005 15:01:52 +0200

wmnd (0.4.11-1) unstable; urgency=low

  * New upstream release
  * --enable-trend added. See end of README for info on what it is.

 -- Arthur Korn <arthur@debian.org>  Sat, 23 Oct 2004 16:33:34 +0200

wmnd (0.4.10-1) unstable; urgency=low

  * New upstream release:
    - Fixed generic_snmp by probing both ifName and ifDescr (required for
      interoperation with Debian Sarge, closes: #253109).
    - Added a geometry flag (-g).


 -- Arthur Korn <arthur@debian.org>  Mon, 20 Sep 2004 20:35:53 +0200

wmnd (0.4.9-1) unstable; urgency=low

  * New upstream release
  * copyright: updated URL of Yuri's site
  * control: fixed multiline build-depends field
  * Standards Version 3.6.1
  * menu: quoted values of "needs" and "section"

 -- Arthur Korn <arthur@korn.ch>  Wed, 25 Aug 2004 01:13:45 +0200

wmnd (0.4.7-1) unstable; urgency=low

  * New upstream release
    - new algorithm, current bandwith more precise: closes: #203264
  * Small change to the description
  * Standards Version 3.6.0

 -- Arthur Korn <arthur@korn.ch>  Wed,  6 Aug 2003 10:20:38 +0200

wmnd (0.4.5-2) unstable; urgency=low

  * Repackaged with debhelper 4
  * split into wmnd and wmnd-snmp flavours, closes: #199553

 -- Arthur Korn <arthur@korn.ch>  Fri,  4 Jul 2003 17:28:02 +0200

wmnd (0.4.5-1) unstable; urgency=low

  * New upstream release
    - new IF-MIB SNMP driver. Read the README for caveats.
  * added libsnmp6-dev to build dependencies, for IF-MIB SNMP driver.

 -- Arthur Korn <arthur@korn.ch>  Thu, 10 Apr 2003 12:52:52 +0200

wmnd (0.4.4a-1) unstable; urgency=low

  * New upstream release
  * Build-Dep on automake1.7, autoconf (>= 2.5)

 -- Arthur Korn <arthur@korn.ch>  Tue, 21 Jan 2003 15:27:35 +0100

wmnd (0.4.4-1) unstable; urgency=low

  * New upstream release
    - Fixes the current rate digital display, closes: #173591
  * --enable-sine-dummy
  * --enable-debug

 -- Arthur Korn <arthur@korn.ch>  Tue, 14 Jan 2003 15:39:45 +0100

wmnd (0.4.3-2) unstable; urgency=low

  * Added CONFFLAGS, when DEB_BUILD_OPTIONS has nostrip,
    CONFFLAGS=--enable-debug
  * setting CFLAGS in ./configure environment instead in $(MAKE) environment

 -- Arthur Korn <arthur@korn.ch>  Thu, 19 Dec 2002 14:43:19 +0100

wmnd (0.4.3-1) unstable; urgency=low

  * New upstream release
  * rules: CFLAGS and STRIPARGS now set according to policy 3.5.7.0
  * control: Standards-Version: 3.5.8.0

 -- Arthur Korn <arthur@korn.ch>  Wed, 11 Dec 2002 21:38:27 +0100

wmnd (0.4.2-2) unstable; urgency=low

  * Fix for division by 10 of displayed speeds due, thanks to Thomas Ashton
    for the patch. closes: #150483
  * Some improvements on the manpage (-t option, driver descriptions).

 -- Arthur Korn <arthur@korn.ch>  Wed,  3 Jul 2002 18:55:45 +0200

wmnd (0.4.2-1) unstable; urgency=low

  * New upstream release
    - since 0.2.2, closes: #115788, #83375, #78784
    - using solaris_fpppd driver, ppp is reset on reconnect,
      closes: #87372
    - updated manpage to 0.4.1
    - patch by Alexandre Dupouy to handle vlan devices integrated,
      closes: #145036
  * now always building solaris_fpppd driver, for use with /dev/ppp
  * updated manpage to 0.4.2 (so Debian still has an edge over upstream ;))

 -- Arthur Korn <arthur@korn.ch>  Fri, 14 Jun 2002 22:58:15 +0200

wmnd (0.4.1-1) unstable; urgency=low

  * New upstream release
  - lots of new display modes
  - better support for dynamic devices
  - autotools build system
  * NEW UPSTREAM wavexx@users.sourceforge.net
  * the vlan patch introduced in 0.2.2-2 has been removed again.
  * Updated the package to policy version 3.5.6.0
  * now using dh_install{man,exaples,dirs} and cp for installation
  * updated manpage

 -- Arthur Korn <arthur@korn.ch>  Sat,  8 Jun 2002 00:19:35 +0200

wmnd (0.2.2-2) unstable; urgency=low

  * copyright: noted that upstream is MIA
  * incorporated patch to make wmnd work with vlan interfaces,
    thanks to Alexandre Dupouy for the patch, closes: #145036

 -- Arthur Korn <arthur@korn.ch>  Fri,  7 Jun 2002 17:35:24 +0200

wmnd (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Tue, 24 Apr 2001 21:28:50 +0200

wmnd (0.2.1-2) unstable; urgency=low

  * Added menu hints



=== debian/control ===
Source: wmnd
Section: net
Priority: optional
Maintainer: Arthur Korn <arthur@debian.org>
Standards-Version: 3.7.2.2
Build-Depends: debhelper (>= 4), autotools-dev, libsnmp10-dev, libx11-dev, libxext-dev, libxpm-dev


Package: wmnd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wmnd-snmp
Replaces: wmnd-snmp
Description: Dockapp monitoring network interfaces
 Shows a graph of incoming/outgoing traffic, activity indicators for rx/tx and
 current/maximum rate for rx/tx in bytes or packets.
 .
 Tailored for use with WindowMaker, it will as well work with any other window
 manager though.

Package: wmnd-snmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: wmnd
Replaces: wmnd
Description: Dockapp monitoring network interfaces
 Shows a graph of incoming/outgoing traffic, activity indicators for rx/tx and
 current/maximum rate for rx/tx in bytes or packets.
 .
 The SNMP input driver can use any IF-MIB compliant data source such as
 most routers and managed switches.
 .
 Tailored for use with WindowMaker, it will as well work with any other window
 manager though.

## wmnd 0.4.12-2.1

=== debian/changelog ===
wmnd (0.4.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libnsmp-dev instead of libsnmp10-dev. Closes: #444559.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Oct 2007 09:27:28 +0200

## wmnd 0.4.12-2.1build1

=== debian/changelog ===
wmnd (0.4.12-2.1build1) hardy; urgency=low

  * Rebuild for libsnmp10 -> libsnmp15 transition.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 10 Dec 2007 20:34:13 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arthur Korn <arthur@debian.org>
 Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 4), autotools-dev, libsnmp10-dev, libx11-dev, libxext-dev, libxpm-dev
+Build-Depends: debhelper (>= 4), autotools-dev, libsnmp-dev, libx11-dev, libxext-dev, libxpm-dev
 
 
 Package: wmnd

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

dest=$(CURDIR)/debian/wmnd

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFFLAGS += --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--enable-sine-dummy \
		--enable-trend


ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif
    

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
else
	CONFFLAGS+= --enable-debug
endif

config-wmnd:
	dh_testdir
	dh_clean -k

	-$(MAKE) clean
	
	./configure $(CONFFLAGS) --enable-drivers="linux_proc solaris_fpppd"

	$(MAKE)


config-wmnd-snmp:
	dh_testdir
	dh_clean -k

	-$(MAKE) clean
	
	LDFLAGS=-lsnmp ./configure $(CONFFLAGS) \
		    --enable-drivers="linux_proc solaris_fpppd generic_snmp"

	$(MAKE)

build:

clean:
	dh_testdir
	dh_testroot

	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	
	dh_clean

binary-common:
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman doc/wmnd.1
	dh_install
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture dependant packages using the common target.
binary-arch: binary-wmnd binary-wmnd-snmp

binary-wmnd: config-wmnd
	$(MAKE) -f debian/rules DH_OPTIONS=-pwmnd binary-common

binary-wmnd-snmp: config-wmnd-snmp
	$(MAKE) -f debian/rules DH_OPTIONS=-pwmnd-snmp binary-common

binary-indep:
binary: binary-arch binary-indep
.PHONY: build clean binary-wmnd binary-wmnd-snmp binary-indep binary-arch binaryconfig-wmnd config-wmnd-snmp

#vim:nosta:

## wmnd 0.4.15

=== debian/changelog ===
wmnd (0.4.15-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source format version 3.0 (quilt).
  * debian/copyright: Updated years.
  * Bump standards version to 3.8.4.
  * Added watch file.
  * Updated short description for wmnd-snmp.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 07 Apr 2010 15:41:29 +0200

wmnd (0.4.13-1) unstable; urgency=low

  * New maintainer. (Closes: #515440)
  * New upstream version.
    - Make it a non native package. (Closes: #447123)
    - Don't ignore clean/distclean errors. (Closes: #447124)
  * Bump debhelper version.
  * Bump standards version.
  * Updated debian/copyright.
  * Updated debian/menu: section part.
  * Added homepage field.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 13 Jul 2009 13:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: wmnd
 Section: net
 Priority: optional
-Maintainer: Arthur Korn <arthur@debian.org>
-Standards-Version: 3.7.2.2
-Build-Depends: debhelper (>= 4), autotools-dev, libsnmp-dev, libx11-dev, libxext-dev, libxpm-dev
+Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
+Standards-Version: 3.8.4
+Homepage: http://www.thregr.org/~wavexx/software/wmnd/
+Build-Depends: debhelper (>= 7), autotools-dev, libsnmp-dev, libx11-dev, libxext-dev, libxpm-dev
 
 
 Package: wmnd
@@ -23,7 +24,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: wmnd
 Replaces: wmnd
-Description: Dockapp monitoring network interfaces
+Description: Dockapp monitoring network interfaces with SNMP support
  Shows a graph of incoming/outgoing traffic, activity indicators for rx/tx and
  current/maximum rate for rx/tx in bytes or packets.
  .

## wmnd 0.4.16

=== debian/changelog ===
wmnd (0.4.16-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.1.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 17 Aug 2010 09:35:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.thregr.org/~wavexx/software/wmnd/
 Build-Depends: debhelper (>= 7), autotools-dev, libsnmp-dev, libx11-dev, libxext-dev, libxpm-dev

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
@@ -17,7 +16,6 @@
 		--mandir=\$${prefix}/share/man \
 		--enable-sine-dummy \
 		--enable-trend
-
 
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE)
@@ -41,24 +39,17 @@
 
 config-wmnd:
 	dh_testdir
-	dh_clean -k
-
-	-$(MAKE) clean
-	
+	dh_prep
+	[ ! -f Makefile ] || $(MAKE) clean
 	./configure $(CONFFLAGS) --enable-drivers="linux_proc solaris_fpppd"
-
 	$(MAKE)
-
 
 config-wmnd-snmp:
 	dh_testdir
-	dh_clean -k
-
-	-$(MAKE) clean
-	
+	dh_prep
+	[ ! -f Makefile ] || $(MAKE) clean
 	LDFLAGS=-lsnmp ./configure $(CONFFLAGS) \
 		    --enable-drivers="linux_proc solaris_fpppd generic_snmp"
-
 	$(MAKE)
 
 build:
@@ -66,15 +57,13 @@
 clean:
 	dh_testdir
 	dh_testroot
-
-	-$(MAKE) distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	
 	dh_clean
 
 binary-common:
@@ -89,7 +78,7 @@
 	dh_install
 	dh_link
 	dh_strip
-	dh_compress 
+	dh_compress
 	dh_fixperms
 	dh_shlibdeps
 	dh_installdeb

## wmnd 0.4.17

=== debian/changelog ===
wmnd (0.4.17-4) unstable; urgency=medium

  * debian/rules: apply patch from Ubuntu to remove solaris_fpppd driver,
    since it uses stropts.h which is gone with glibc 2.30 (LP: #1860018,
    closes: #954574, #949109).
  * Remove unused lintian override.
  * Switch to debhelper v12; and switch to using build dependency on
    debian-compat instead of debian/compat file.
  * Standards-Version: 4.5.0.
  * Include signature for the upstream tarball in the upload (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 29 Mar 2020 19:36:12 +0200

wmnd (0.4.17-3) unstable; urgency=medium

  * Switch to debhelper v11.
  * debian/rules: Enable all hardening and LFS flags.
  * Add 02-Make-counters-64-bit.patch from Vladimir Prodan to make byte/packet
    counters 64 bit on 32-bit systems (closes: #629252).
  * Add 03-Fix-compiler-warnings.patch to fix warnings generated by gcc-8.
  * Switch debian/copyright to DEP-5 format.
  * debian/watch: use https and check gpg signature (lintian).
  * Add DEP-12 upstream metadata file.
  * Provide simple testsuite for autopkgtest to check installability of the
    binary packages (lintian).
  * debian/control:
    + update Vcs-* fields for salsa migration;
    + use https protocol in the `Homepage' field;
    + suggest snmp-mips-downloader for wmnd-snmp package (see: #574388);
    + set `Rules-Requires-Root' to `no';
    + Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Sep 2018 12:08:13 +0200

wmnd (0.4.17-2) unstable; urgency=low

  * Add 01-Fix-missing-HOME-crash.patch to fix a crash occurring
    when $HOME variable is not defined (closes: #716468).

 -- Robert Luberda <robert@debian.org>  Sun, 06 Oct 2013 13:31:09 +0200

wmnd (0.4.17-1) unstable; urgency=low

  * New maintainer (closes: #691836).
  * New upstream version.
  * Switch to debhelper v9 and tiny debian/rules file.
  * Pass -Wl,--as-needed in LDFLAGS (closes: #641337).
  * debian/control:
    + `Suggests: trend' because it can be spawned by middle button click;
    + sort the file with `wrap-and-sort' utility;
    + add VCS fields;
    + bump Standards-Version to 3.9.4.

 -- Robert Luberda <robert@debian.org>  Tue, 21 May 2013 07:44:15 +0200

wmnd (0.4.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b wmnd-0.4.16
    gave error exit status 2":
    update handling of config.{guess,sub}:
    - use autotools-dev's helpers in debian/rules
    - make build dependency on autotools-dev versioned
    (Closes: #652213)

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Mar 2012 19:17:17 +0100

=== debian/control ===
Source: wmnd
Section: net
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Standards-Version: 4.5.0
Homepage: https://www.thregr.org/~wavexx/software/wmnd/
Build-Depends: debhelper-compat (= 12),
               libsnmp-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/wmnd.git
Vcs-Browser: https://salsa.debian.org/debian/wmnd/

Package: wmnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: wmnd-snmp
Replaces: wmnd-snmp
Suggests: trend
Description: Dockapp monitoring network interfaces
 Shows a graph of incoming/outgoing traffic, activity indicators for rx/tx and
 current/maximum rate for rx/tx in bytes or packets.
 .
 Tailored for use with WindowMaker, it will as well work with any other window
 manager though.

Package: wmnd-snmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: wmnd
Replaces: wmnd
Suggests: snmp-mibs-downloader, trend
Description: Dockapp monitoring network interfaces with SNMP support
 Shows a graph of incoming/outgoing traffic, activity indicators for rx/tx and
 current/maximum rate for rx/tx in bytes or packets.
 .
 The SNMP input driver can use any IF-MIB compliant data source such as
 most routers and managed switches.
 .
 Tailored for use with WindowMaker, it will as well work with any other window
 manager though.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pwmnd                      := wmnd
pwmnd_snmp                 := wmnd-snmp

define dh_auto_command
        $(subst override_,,$1) --verbose --buildsystem=autoconf --parallel \
                               --package="$2"                              \
                               --builddirectory="BUILD-$2"                 \
                               --tmpdir="debian/$2"                        \
                               -O --destdir="debian/$2"  $3
endef

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export CFLAGS             := $(shell dpkg-buildflags --get CFLAGS) \
                             $(shell getconf LFS_CFLAGS) -Wall
export LDFLAGS            := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

CONFFLAGS                 :=  --enable-trend
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS))$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
CONFFLAGS                 += --enable-debug
endif


%:
	dh $@

override_dh_auto_configure:
	$(call dh_auto_command,$@,$(pwmnd),                                        \
	                 -- $(CONFFLAGS)                                           \
	                 --docdir="\$${prefix}/share/doc/$(pwmnd)"                 \
	                 --enable-drivers="linux_proc"                             )

	$(call dh_auto_command,$@,$(pwmnd_snmp),                                   \
	                 -- $(CONFFLAGS)                                           \
	                 --docdir="\$${prefix}/share/doc/$(pwmnd_snmp)"            \
	                 --enable-drivers="linux_proc generic_snmp"                \
	                 LIBS="$(LIBS) -lsnmp"                                     )


override_dh_auto_build override_dh_auto_clean override_dh_auto_install:
	$(call dh_auto_command,$@,$(pwmnd))

	$(call dh_auto_command,$@,$(pwmnd_snmp))

.PHONY: override_dh_auto_configure override_dh_auto_build  \
        override_dh_auto_clean override_dh_auto_install

## wmnd 0.4.18

=== debian/changelog ===
wmnd (0.4.18-1build2) hirsute; urgency=medium

  * No-change upload to build against net-snmp on armhf.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 20:08:53 -0500

wmnd (0.4.18-1build1) hirsute; urgency=medium

  * No-change upload due to net-snmp transition.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 07 Jan 2021 15:13:59 -0500

wmnd (0.4.18-1) unstable; urgency=medium

  * New upstream version.
  * Update build system for AUTHORS and ChangeLog files no longer included
    in the upstream package.
  * Bump debhelper's compat version to 13.

 -- Robert Luberda <robert@debian.org>  Tue, 14 Jul 2020 10:26:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Standards-Version: 4.5.0
 Homepage: https://www.thregr.org/~wavexx/software/wmnd/
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libsnmp-dev,
                libx11-dev,
                libxext-dev,

=== debian/tests/control ===
Test-Command: /usr/bin/wmnd -v
Features: test-name=check-wmnd-installability
Depends: wmnd

Test-Command: /usr/bin/wmnd -v
Features: test-name=check-wmnd-snmp-installability
Depends: wmnd-snmp

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://www.thregr.org/~wavexx/software/wmnd/releases/ (?:.*/)?wmnd-?([\d+\.]+|\d+)\.tar\.(?:gz|bz2|xz) debian uupdate
